Package org.apache.lucene.search.grouping

# Class LongRange

java.lang.Object
org.apache.lucene.search.grouping.LongRange

public class LongRange extends Object
Represents a contiguous range of long values, with an inclusive minimum and exclusive maximum

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`max`
The exclusive maximum value of this range
`long`
`min`
The inclusive minimum value of this range

## Constructor Summary

Constructors
Constructor
Description
`LongRange(long min, long max)`
Creates a new double range, running from `min` inclusive to `max` exclusive

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### min

public long min
The inclusive minimum value of this range

### max

public long max
The exclusive maximum value of this range

## Constructor Details

### LongRange

public LongRange(long min, long max)
Creates a new double range, running from `min` inclusive to `max` exclusive

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`